summaryrefslogtreecommitdiffstats
path: root/source/l/gst-plugins-base0
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/l/gst-plugins-base0
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l/gst-plugins-base0')
-rw-r--r--source/l/gst-plugins-base0/gst-plugins-base-0.10.36-gcc_4_9_0_i686-1.patch37
-rwxr-xr-xsource/l/gst-plugins-base0/gst-plugins-base0.SlackBuild36
-rw-r--r--source/l/gst-plugins-base0/slack-desc10
3 files changed, 68 insertions, 15 deletions
diff --git a/source/l/gst-plugins-base0/gst-plugins-base-0.10.36-gcc_4_9_0_i686-1.patch b/source/l/gst-plugins-base0/gst-plugins-base-0.10.36-gcc_4_9_0_i686-1.patch
new file mode 100644
index 000000000..9f57e6506
--- /dev/null
+++ b/source/l/gst-plugins-base0/gst-plugins-base-0.10.36-gcc_4_9_0_i686-1.patch
@@ -0,0 +1,37 @@
+Submitted By: Ken Moffat <ken at linuxfromscratch dot org>
+Date: 2014-05-26
+Initial Package Version: 0.10.36
+Upstream Status: Not offered, this is a workaround for gcc-4.9.0.
+Origin: Fernando, based on
+ https://github.com/HandBrake/HandBrake/blob/master/contrib/lame/P00-darwin-xmmintrin.patch
+Description: Works around inlining failure on i686 with gcc-4.9.0.
+Rediffed to apply without fuzz and massive offset which caused
+configure.orig to get generated.
+
+Do Not Apply to x86_64.
+
+Note: there seems to still be a problem somewhere in the gst-0.10 audio
+on i686, I can get working video, but no audio.
+
+diff -Naur a/configure b/configure
+--- a/configure 2012-02-20 23:33:09.000000000 +0000
++++ b/configure 2014-05-24 21:53:29.510695504 +0100
+@@ -21876,18 +21876,6 @@
+ done
+
+
+-for ac_header in xmmintrin.h emmintrin.h
+-do :
+- as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
+-ac_fn_c_check_header_mongrel "$LINENO" "$ac_header" "$as_ac_Header" "$ac_includes_default"
+-if eval test \"x\$"$as_ac_Header"\" = x"yes"; then :
+- cat >>confdefs.h <<_ACEOF
+-#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
+-_ACEOF
+-
+-fi
+-
+-done
+
+
+ # ------ AX CREATE STDINT H -------------------------------------
diff --git a/source/l/gst-plugins-base0/gst-plugins-base0.SlackBuild b/source/l/gst-plugins-base0/gst-plugins-base0.SlackBuild
index 9b2008901..b768046a8 100755
--- a/source/l/gst-plugins-base0/gst-plugins-base0.SlackBuild
+++ b/source/l/gst-plugins-base0/gst-plugins-base0.SlackBuild
@@ -1,7 +1,7 @@
-#!/bin/sh
+#!/bin/bash
# Copyright 2008 Michiel van Wessem <michiel@slackbuilds.org>
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -23,29 +23,37 @@
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gst-plugins-base
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "${PKGNAM}0-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
-PKG=$TMP/package-$PKGNAM
+PKG=$TMP/package-${PKGNAM}0
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -66,7 +74,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
-cd $PKGNAM-$VERSION
+cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -74,6 +82,11 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Fix build on 32-bit x86:
+if [ "$ARCH" = "i586" -o "$ARCH" = "i686" ]; then
+ zcat $CWD/gst-plugins-base-0.10.36-gcc_4_9_0_i686-1.patch.gz | patch -p1 --verbose || exit 1
+fi
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -84,11 +97,14 @@ CXXFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--disable-debug \
--disable-static \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/l/gst-plugins-base0/slack-desc b/source/l/gst-plugins-base0/slack-desc
index c8fb96d77..073222be8 100644
--- a/source/l/gst-plugins-base0/slack-desc
+++ b/source/l/gst-plugins-base0/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler---------------------------------------------|
@@ -11,8 +11,8 @@ gst-plugins-base0:
gst-plugins-base0: GStreamer Base Plug-ins is a well-groomed and well-maintained
gst-plugins-base0: collection of GStreamer plug-ins and elements, spanning the
gst-plugins-base0: range of possible types of elements one would want to write
-gst-plugins-base0: for GStreamer. It also contains helper libraries and base
-gst-plugins-base0: classes useful for writing elements. A wide range of video
+gst-plugins-base0: for GStreamer. It also contains helper libraries and base
+gst-plugins-base0: classes useful for writing elements. A wide range of video
gst-plugins-base0: and audio decoders, encoders, and filters are included.
gst-plugins-base0:
gst-plugins-base0: